/*
 * Plug-in KEx DATEX II - Baustellen
 * Copyright (C) 2018 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.datex2.plugins.konvertierung.impl;

/**
 * Ausnahmeklasse f&uuml;r Ausnahmen im Zusammenhang mit dem
 * DATEXII-Baustellendaten.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: $
 */
public class Datex2BaustelleException extends Exception {
	/**
	 * VersionUID.
	 */
	private static final long serialVersionUID = -5123255674903317454L;

	/**
	 * Konstruktor mit Message-Argument.
	 *
	 * @param message
	 *            Grund der Ausnahme
	 */
	public Datex2BaustelleException(final String message) {
		super(message);
	}

	/**
	 * Konstruktor mit Exception-Argument.
	 *
	 * @param e
	 *            Grund der Ausnahme
	 */
	public Datex2BaustelleException(final Exception e) {
		super(e);
	}
}
