/*
 * Plug-in KEx DATEX II - Baustellen
 * Copyright (C) 2018 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.datex2.plugins.konvertierung.impl;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.ResultData;
import eu.datex2.schema.dynamisch.baustellen.ComplianceOptionEnum;
import eu.datex2.schema.dynamisch.baustellen.NetworkManagement;
import eu.datex2.schema.dynamisch.baustellen.SituationRecord;

/**
 * Wrapper f&uuml;r {@link NetworkManagement}.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: $
 */
public abstract class Datex2NetworkManagement extends Datex2OperatorAction {

	/**
	 * Konstruktor.
	 * 
	 * @param situationRecord
	 *            {@link SituationRecord}
	 * @param attprefix
	 *            Attribut-Prefix
	 * @param resultData
	 *            {@link ResultData}
	 * @param data
	 *            {@link Data}
	 */
	public Datex2NetworkManagement(final SituationRecord situationRecord, final String attprefix,
			final ResultData resultData, final Data data) {
		super(situationRecord, attprefix, resultData, data);

		final NetworkManagement nm = (NetworkManagement) situationRecord;

		// Email Hr. Freudenstein: immer mandatory verwenden
		nm.setComplianceOption(ComplianceOptionEnum.MANDATORY);
	}
}
